# GUI

- [Thành Phần](https://docs.taiamk.pro/gui/thanh-phan.md): Giới thiệu về các thành phần bên trong 1 cửa sổ Automatic Mouse and Keyboard
- [Button](https://docs.taiamk.pro/gui/thanh-phan/button.md): Button là 1 nút bấm có khả năng kích hoạt sự kiện khi được bấm vào
- [Button Style](https://docs.taiamk.pro/gui/thanh-phan/button/button-style.md): Các kiểu hiển thị cho nút bấm trong Automatic Mouse and Keyboard
- [Edit](https://docs.taiamk.pro/gui/thanh-phan/edit.md): Edit có khả năng nhập văn bản
- [Edit Style](https://docs.taiamk.pro/gui/thanh-phan/edit/edit-style.md): Các kiểu hiển thị cho Edit trong Automatic Mouse and Keyboard
- [Edit\_SetSel](https://docs.taiamk.pro/gui/thanh-phan/edit/edit_setsel.md): Bôi đen nội dung trong Edit
- [Static Text](https://docs.taiamk.pro/gui/thanh-phan/static-text.md): Chữ tĩnh hiển thị trên cửa sổ
- [Group Box](https://docs.taiamk.pro/gui/thanh-phan/group-box.md): Gom nhóm các thành phần khác giúp tăng khả năng quản lý
- [Check Box](https://docs.taiamk.pro/gui/thanh-phan/check-box.md): Check Box là một nút có 2 trạng thái được chọn và không được chọn, checkbox thường đi theo nhóm
- [Radio Button](https://docs.taiamk.pro/gui/thanh-phan/radio-button.md): Radio Button là nút bấm có khả năng chọn, nó đi theo nhóm và thường là nhóm đó chỉ được chọn 1 lựa chọn
- [Combo Box](https://docs.taiamk.pro/gui/thanh-phan/combo-box.md): Combo Box là một nút bấm hiển thị ra các lựa chọn cho người dùng
- [ComboBox\_AddString](https://docs.taiamk.pro/gui/thanh-phan/combo-box/combobox_addstring.md): Thêm 1 lựa chọn vào ComboBox
- [ComboBox\_DeleteString](https://docs.taiamk.pro/gui/thanh-phan/combo-box/combobox_deletestring.md): Xóa lựa chọn ở ComboBox
- [ComboBox\_GetEdit](https://docs.taiamk.pro/gui/thanh-phan/combo-box/combobox_getedit.md): Lấy Edit
- [ComboBox\_InsertString](https://docs.taiamk.pro/gui/thanh-phan/combo-box/combobox_insertstring.md): Chèn 1 lựa chọn vào vị trí chỉ định trong danh sách lựa chọn
- [ComboBox\_ResetContent](https://docs.taiamk.pro/gui/thanh-phan/combo-box/combobox_resetcontent.md): Xóa Nội Dung ComboBox
- [ComboBox\_SelectString](https://docs.taiamk.pro/gui/thanh-phan/combo-box/combobox_selectstring.md): Lựa chọn mặc định trong danh sách combobox
- [ComboBox\_SetItemDefaultHeight](https://docs.taiamk.pro/gui/thanh-phan/combo-box/combobox_setitemdefaultheight.md): Thay đổi chiều cao của các thành phần
- [ComboBox\_ShowDropDown](https://docs.taiamk.pro/gui/thanh-phan/combo-box/combobox_showdropdown.md): Hiển thị tất cả các lựa chọn
- [List View](https://docs.taiamk.pro/gui/thanh-phan/list-view.md): List View hiển thị dạng danh sách hoặc theo dạng bảng
- [ListView\_DeleteAllItems](https://docs.taiamk.pro/gui/thanh-phan/list-view/listview_deleteallitems.md): Xóa tất cả dữ liệu trong list view
- [ListView\_EnsureVisible](https://docs.taiamk.pro/gui/thanh-phan/list-view/listview_ensurevisible.md): Đảm bảo cho 1 dòng trong List View hiển thị trên màn hình
- [ListView\_GetCheck](https://docs.taiamk.pro/gui/thanh-phan/list-view/listview_getcheck.md): Kiểm tra xem 1 checkbox của 1 dòng trong List View có được chọn hay không
- [ListView\_GetHeaderCtrl](https://docs.taiamk.pro/gui/thanh-phan/list-view/listview_getheaderctrl.md): Trả về header
- [ListView\_GetItemCount](https://docs.taiamk.pro/gui/thanh-phan/list-view/listview_getitemcount.md): Trả về tổng số dòng trong List View
- [ListView\_GetItemRect](https://docs.taiamk.pro/gui/thanh-phan/list-view/listview_getitemrect.md): Trả về vị trí của 1 dòng trong List View dưới dạng Rect
- [ListView\_GetItemText](https://docs.taiamk.pro/gui/thanh-phan/list-view/listview_getitemtext.md): Lấy nội dung tại 1 cột xác định trong List View
- [ListView\_GetNextSelectedItem](https://docs.taiamk.pro/gui/thanh-phan/list-view/listview_getnextselecteditem.md): Lấy vị trí của dòng đang được chọn trong ListView
- [ListView\_GetSubItemRect](https://docs.taiamk.pro/gui/thanh-phan/list-view/listview_getsubitemrect.md): Lấy thông số Rect của 1 cột trong 1 dòng của List View
- [ListView\_GetTopIndex](https://docs.taiamk.pro/gui/thanh-phan/list-view/listview_gettopindex.md): Trả về vị trí của phần tử trên cùng được hiển thị trong List View
- [ListView\_InsertColumn](https://docs.taiamk.pro/gui/thanh-phan/list-view/listview_insertcolumn.md): Chèn 1 cột vào trong ListView
- [Format](https://docs.taiamk.pro/gui/thanh-phan/list-view/listview_insertcolumn/format.md): Các kiểu định dạng cho cột trong ListView
- [LVCFMT\_RIGHT](https://docs.taiamk.pro/gui/thanh-phan/list-view/listview_insertcolumn/format/lvcfmt_right.md): Căn phải nội dung trong các cột của List View sang bên phải
- [LVCFMT\_CENTER](https://docs.taiamk.pro/gui/thanh-phan/list-view/listview_insertcolumn/format/lvcfmt_center.md): Căn giữa nội dung trong các cột của List View sang bên phải
- [LVCFMT\_FIXED\_WIDTH](https://docs.taiamk.pro/gui/thanh-phan/list-view/listview_insertcolumn/format/lvcfmt_fixed_width.md): Tạo ra các cột với kích thước cố định
- [LVCFMT\_FIXED\_RATIO](https://docs.taiamk.pro/gui/thanh-phan/list-view/listview_insertcolumn/format/lvcfmt_fixed_ratio.md): Thiết lập kích thước cột co giãn theo tỉ lệ
- [LVCFMT\_LINE\_BREAK](https://docs.taiamk.pro/gui/thanh-phan/list-view/listview_insertcolumn/format/lvcfmt_line_break.md): Chỉ định nội dung cột sẽ tự động xuống dòng khi vượt quá kích thước của cột
- [LVCFMT\_FILL](https://docs.taiamk.pro/gui/thanh-phan/list-view/listview_insertcolumn/format/lvcfmt_fill.md): Các cột còn lại sẽ tự động mở rộng ra để lấp đầy khoảng trống
- [LVCFMT\_WRAP](https://docs.taiamk.pro/gui/thanh-phan/list-view/listview_insertcolumn/format/lvcfmt_wrap.md): Nội dung cột sẽ được bao quanh khi vượt quá kích thước
- [LVCFMT\_NO\_TITLE](https://docs.taiamk.pro/gui/thanh-phan/list-view/listview_insertcolumn/format/lvcfmt_no_title.md): Chỉ định cột không có tiêu đề
- [LVCFMT\_SPLITBUTTON](https://docs.taiamk.pro/gui/thanh-phan/list-view/listview_insertcolumn/format/lvcfmt_splitbutton.md): Cột sẽ có thêm một nút chia sẻ, khi bấm vào sẽ có 1 menu hoặc 1 hành động
- [ListView\_InsertItem](https://docs.taiamk.pro/gui/thanh-phan/list-view/listview_insertitem.md): Thêm mới 1 dòng vào trong List View
- [ListView\_IsSelected](https://docs.taiamk.pro/gui/thanh-phan/list-view/listview_isselected.md): Kiểm tra xem 1 dòng có đang được chọn
- [ListView\_SelectItem](https://docs.taiamk.pro/gui/thanh-phan/list-view/listview_selectitem.md)
- [ListView\_SetCheck](https://docs.taiamk.pro/gui/thanh-phan/list-view/listview_setcheck.md): Nhấn vào nút check của 1 dòng trong List View
- [ListView\_SetExtendedStyle](https://docs.taiamk.pro/gui/thanh-phan/list-view/listview_setextendedstyle.md): Thêm kiểu định dạng cho List View
- [ListView\_SetItemText](https://docs.taiamk.pro/gui/thanh-phan/list-view/listview_setitemtext.md): Thay đổi giá trị tại 1 cột trong ListView
- [ListView\_SetItemHitTest](https://docs.taiamk.pro/gui/thanh-phan/list-view/listview_setitemhittest.md)
- [ListView\_UnselectItem](https://docs.taiamk.pro/gui/thanh-phan/list-view/listview_unselectitem.md): Bỏ chọn 1 dòng
- [Tree View](https://docs.taiamk.pro/gui/thanh-phan/tree-view.md): Tree View hiển thị dữ liệu dạng cây
- [Progress Bar](https://docs.taiamk.pro/gui/thanh-phan/progress-bar.md): Progress Bar là 1 thanh hiển thị trạng thái tải
- [List Box](https://docs.taiamk.pro/gui/thanh-phan/list-box.md)
- [Picture Box](https://docs.taiamk.pro/gui/thanh-phan/picture-box.md): Hiển thị hình ảnh
- [Animate Control](https://docs.taiamk.pro/gui/thanh-phan/animate-control.md): Hiển thị hoạt cảnh động
- [Window](https://docs.taiamk.pro/gui/window.md): Giới thiệu về Window trong Automatic Mouse and Keyboard
- [Window Style](https://docs.taiamk.pro/gui/window/window-style.md): Khi tạo mới 1 window trong Automatic Mouse and Keyboard bạn có thể tùy chỉnh kiểu hiển thị của Window.
- [Window Style EX](https://docs.taiamk.pro/gui/window/window-style-ex.md): Giới thiệu thêm về các kiểu Window mở rộng trong Automatic Mouse and Keyboar
- [Window Functions](https://docs.taiamk.pro/gui/window/window-functions.md): Các function liên quan đến Window
- [CreateWindow](https://docs.taiamk.pro/gui/window/window-functions/createwindow.md): Tạo mới 1 cửa sổ
- [GetWindowText](https://docs.taiamk.pro/gui/window/window-functions/getwindowtext.md): Lấy tiêu đề của 1 cửa sổ
- [SetWindowText](https://docs.taiamk.pro/gui/window/window-functions/setwindowtext.md): Thay đổi tiêu đề của 1 cửa sổ
- [GetClientRect](https://docs.taiamk.pro/gui/window/window-functions/getclientrect.md): Lấy thông tin của cửa sổ dưới dạng RECT
- [GetDlgCtrlID](https://docs.taiamk.pro/gui/window/window-functions/getdlgctrlid.md): Lấy id của một control trong cửa sổ
- [GetParent](https://docs.taiamk.pro/gui/window/window-functions/getparent.md): Lấy cửa sổ cha của 1 cửa sổ
- [ShowWindow](https://docs.taiamk.pro/gui/window/window-functions/showwindow.md): Hiện thị cửa sổ kèm theo kiểu hiển thị
- [RunModalWindow](https://docs.taiamk.pro/gui/window/window-functions/runmodalwindow.md): Hiển thị 1 cửa sổ dưới dạng hộp thoại modal
- [Command Handler](https://docs.taiamk.pro/gui/window/command-handler.md): Command Handler là chức năng giúp 1 thành phần trên giao diện GUI có thể xử lý sự kiện khi được nhấn vào
- [Message Handler](https://docs.taiamk.pro/gui/window/message-handler.md): Kích hoạt sự kiện khi có các thay đổi liên quan đến cửa sổ


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.taiamk.pro/gui.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
